Inventories#
- class sp_api.api.Inventories(marketplace: ~sp_api.base.marketplaces.Marketplaces = Marketplaces.US, *, refresh_token=None, account='default', credentials=None, restricted_data_token=None, proxies=None, verify=True, timeout=None, version=None, credential_providers=None, auth_token_client_class=<class 'sp_api.auth.access_token_client.AccessTokenClient'>)#
-
- get_inventory_summary_marketplace(self, **kwargs) ApiResponse#
- Returns a list of inventory summaries. The summaries returned depend on the presence or absence of the startDateTime, sellerSkus and sellerSku parameters:
All inventory summaries with available details are returned when the startDateTime, sellerSkus and sellerSku parameters are omitted.
When startDateTime is provided, the operation returns inventory summaries that have had changes after the date and time specified. The sellerSkus and sellerSku parameters are ignored. Important: To avoid errors, use both startDateTime and nextToken to get the next page of inventory summaries that have changed after the date and time specified.
When the sellerSkus parameter is provided, the operation returns inventory summaries for only the specified sellerSkus. The sellerSku parameter is ignored.
When the sellerSku parameter is provided, the operation returns inventory summaries for only the specified sellerSku.
Note: The parameters associated with this operation may contain special characters that must be encoded to successfully call the API. To avoid errors with SKUs when encoding URLs, refer to [URL Encoding](https://developer-docs.amazon.com/sp-api/docs/url-encoding).
Examples
literal blocks:
Inventories().get_inventory_summary_marketplace()
- Parameters:
**kwargs
- Returns:
ApiResponse
- create_inventory_item(self, **kwargs) ApiResponse#
Requests that Amazon create product-details in the Sandbox Inventory in the sandbox environment. This is a sandbox-only operation and must be directed to a sandbox endpoint. Refer to [Selling Partner API sandbox](https://developer-docs.amazon.com/sp-api/docs/the-selling-partner-api-sandbox) for more information.
Examples
literal blocks:
Inventories().create_inventory_item()
- Parameters:
createInventoryItemRequestBody – CreateInventoryItemRequest | required CreateInventoryItem Request Body Parameter.
- Returns:
ApiResponse
- delete_inventory_item(self, sellerSku, **kwargs) ApiResponse#
Requests that Amazon Deletes an item from the Sandbox Inventory in the sandbox environment. This is a sandbox-only operation and must be directed to a sandbox endpoint. Refer to [Selling Partner API sandbox](https://developer-docs.amazon.com/sp-api/docs/the-selling-partner-api-sandbox) for more information.
Examples
literal blocks:
Inventories().delete_inventory_item("value")
- Parameters:
sellerSku – object | required A single seller SKU used for querying the specified seller SKU inventory summaries.
marketplaceId (key) – object | required The marketplace ID for the marketplace for which the sellerSku is to be deleted.
- Returns:
ApiResponse
- add_inventory(self, **kwargs) ApiResponse#
Requests that Amazon add items to the Sandbox Inventory with desired amount of quantity in the sandbox environment. This is a sandbox-only operation and must be directed to a sandbox endpoint. Refer to [Selling Partner API sandbox](https://developer-docs.amazon.com/sp-api/docs/the-selling-partner-api-sandbox) for more information.
Examples
literal blocks:
Inventories().add_inventory()
- Parameters:
x-amzn-idempotency-token – object | required A unique token/requestId provided with each call to ensure idempotency.
addInventoryRequestBody – AddInventoryRequest | required List of items to add to Sandbox inventory.
- Returns:
ApiResponse